<?php
include("include/config.php");
include("include/protect.class.php");
include("include/jdf.php");
include('include/functions.php');
$prot=new protect();
if ($prot->showPage) {
$db=new DB($globalConfig['dbase'], $globalConfig['dbhost'],$globalConfig['dbuser'], $globalConfig['dbpass']);
mysql_query("SET NAMES utf8");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>پست ها</title>
<link rel="stylesheet" type="text/css" href="fancybox/jquery.fancybox-1.3.1.css" media="screen" />
<script src="js/jquery-1.4.2.min.js" type="text/javascript"></script>
<script type="text/javascript" src="fancybox/jquery.fancybox-1.3.1.js"></script>
<?php include("maintemplate/mainheader.php");?>
<script type="text/javascript" src="ckeditor/ckeditor.js"></script>
<script language="JavaScript" src="maintemplate/js/gen_validatorv4.js" type="text/javascript" xml:space="preserve"></script>
<script type="text/javascript">   
		function checkurl (postid){
		$(document).ready(function (){
			var slug = $("#slug").val();
			var name2 = $("#name").val();
			$("#loading").fadeIn("fast");
			
			$.ajax({
				type: "POST",
				url: "send_ajax_chitasoft.php?act=checkurl",
				dataType: "html",
				data		: "slug="+slug+"&postid="+postid+"&name="+name2,
				success: function(data){
					$("#slugdiv").html(data);
					 $("#loading").fadeOut("slow");
				}
			});
		});
	}
		function addtag (postid){
		$(document).ready(function (){
			var tagname = $("#tagname").val();
			$.ajax({
				type: "POST",
				url: "send_ajax_chitasoft.php?act=tagname",
				dataType: "html",
				data		: "tagname="+tagname+"&postid="+postid,
				success: function(data){
					document.getElementById("tagname").value ='';
					currenttag(postid);				
				}
			});
    
		});
	}
	function deltag (postid,tagid){
		$(document).ready(function (){
			$.ajax({
				type: "POST",
				url: "send_ajax_chitasoft.php?act=deltag",
				dataType: "html",
				data		:"postid="+postid+"&tagid="+tagid,
				success: function(data){
					currenttag(postid);				
				}
			});
		});
	}
	function addim (postid,tagid){
		$(document).ready(function (){
			var divid = "#tag"+tagid;
			$.ajax({
				type: "POST",
				url: "send_ajax_chitasoft.php?act=addim",
				dataType: "html",
				data		:"postid="+postid+"&tagid="+tagid,
				success: function(data){
					currenttag(postid);
					 $(divid).fadeOut("slow");				
				}
			});
		});
	}
	function currenttag (postid){
		
		
		$(document).ready(function (){
			
			$.ajax({
				type: "POST",
				url: "send_ajax_chitasoft.php?act=currenttag",
				dataType: "html",
				data		:"postid="+postid,
				success: function(data){
					$("#tags").html(data);				
					 
				}
			
			});
 
        
       	
    
		});
	}
</script>


<?php 
				$ead = $db->query("SELECT * FROM parts WHERE id = '".$db->safe_string($_GET['AID'])."'");
				$ad = $db->fetchNextArray($ead);
				?>

</head>
<body onload="currenttag(<?php echo $_GET['AID'];?>);">
<div id="wpwrap">
<div id="wpcontent">
	<?php include("include/menutop.php");?> 
<div id="wpbody">
	<?php include("include/header.php");?>
    <div style="overflow:hidden; padding-bottom:50px;" id="wpbody-content">
        <div id="screen-meta">
            <div class="wrap">
                <div id="icon-index" class="icon32"><b4r></div>
                <h2>پست ها</h2>
               
                <div id="dashboard-widgets-wrap">
                    <div id="dashboard-widgets" class="metabox-holder">
              		<?php if(isset($_GET['cat'])){?>
                                            <?php
	if(isset($_GET['del'])){
		if(isset($_GET['AID']) && ($_GET['AID'] != '')){
								
		$db->execute("delete from parts where id = '".(int)$_GET['AID']."'");

		echo debug_message('پست با موفقیت حذف شد','2','98');
		
		echo '<form action="posts.php?cat='.$_GET['cat'].'" method="POST">
		<p align="center"><input type="submit" id="button" value="بازگشت"></p>
		</form>';	
		}}

                if(isset($_GET['insert'])){
					if($_GET['form']=="main"){
						
		$slug = str_replace(" ", "-", $_POST['slug']);				
		/////////////////////////////////////////////insert codes///////////////////////////			
		$db->execute("insert parts set
		name='".$db->safe_string($_POST['name'])."',
		nameen='".$db->safe_string($_POST['nameen'])."',
		keywordhead = '".$db->safe_string($_POST['keywordhead'])."',
		keywordheaden = '".$db->safe_string($_POST['keywordheaden'])."',
		description = '".$db->safe_string($_POST['description'])."',
		descriptionen = '".$db->safe_string($_POST['descriptionen'])."',
		slug = '".$db->safe_string($slug)."',
		descriptionhead = '".$db->safe_string($_POST['descriptionhead'])."',
		descriptionheaden = '".$db->safe_string($_POST['descriptionheaden'])."',
		category='".$db->safe_string($_POST['category'])."',
		procat='".$db->safe_string($_POST['procat'])."',
		desen='".addslashes($_POST['desen'])."',
		des='".addslashes($_POST['des'])."',
		pickind='".$db->safe_string($_POST['pickind'])."',
		firstpage='".$db->safe_string($_POST['firstpage'])."',
		adminid= '".$_SESSION['adminID']."',
		date = NOW()
		 ");
		 $lastid =$db->lastInsertedId();
			  //while loop

		echo debug_message('پست جدید با موفقیت اضافه شد','2','98');
		
		echo '<form action="posts.php?cat='.$_GET['cat'].'" method="POST">
		<p align="center"><input type="submit" id="button" value="بازگشت"></p>
		</form>';	
		
		}
					if($_GET['form']=='picture'){
					switch($_GET['act']){
				case 'profile':
					$db->execute("update picturespart set
														profile = 0
														where adid='".$_GET['AID']."'
														");
					$db->execute("update picturespart set
														profile = 1
														where id='".$_GET['picid']."'
														");
					echo '<div class="congratulation" style="width:88%; margin:0px auto; text-align:center;">اطلاعات تصاویر با موفقیت بروزرسانی شد</div>';	
				break;
				case 'del':
						 
						$epic = $db->query("SELECT * FROM picturespart WHERE id = '".$db->safe_string($_GET['picid'])."'");
						$pic = $db->fetchNextArray($epic);
						$pathkh2 = "../".$pic['file'];
						unlink("$pathkh2");  
						$db->execute("delete from picturespart where id='".$_GET['picid']."'");
						echo '<div class="congratulation" style="width:88%; margin:0px auto; text-align:center;">تصویر با موفقیت حذف شد</div>';
				break;
				default:
					


					  //upload picturespart and files
						
								//  5MB maximum file size
$MAXIMUM_FILESIZE = 1 * 1024 * 1024;
//  Valid file extensions (images, word, excel, powerpoint)
$rEFileTypes =
  "/^\.(jpg|jpeg|gif|png){1}$/i";
$dir_base = "../upload/partspics/";

$isFile = is_uploaded_file($_FILES['myfile']['tmp_name']);
if ($isFile)    //  do we have a file?
   {//  sanatize file name
    //     - remove extra spaces/convert to _,
    //     - remove non 0-9a-Z._- characters,
    //     - remove leading/trailing spaces
    //  check if under 5MB,
    //  check file extension for legal file types
    $safe_filename1 = preg_replace(
                     array("/\s+/", "/[^-\.\w]+/"),
                     array("_", ""),
                     trim($_FILES['myfile']['name']));
	$safe_filename = time().'-'.$safe_filename1;
    if ($_FILES['myfile']['size'] <= $MAXIMUM_FILESIZE &&
        preg_match($rEFileTypes, strrchr($safe_filename, '.')))
      {$isMove = move_uploaded_file (
                 $_FILES['myfile']['tmp_name'],
                 $dir_base.$safe_filename);}
      } else{$nn=1;}
	  
	  if($nn == 1){$path=0;}else{
		$path='upload/partspics/'.$safe_filename.'';}

		$db->execute("insert into picturespart set
														name = '".$db->safe_string($_POST['name'])."',
														adid = '".$_GET['AID']."',
														file = '".$path."',
														date = NOW(),
														profile = 0
														");
				echo '<div class="congratulation" style="width:88%; margin:0px auto; text-align:center;">تصویر با موفقیت اضافه شد</div>';											
					
				break;
					}
					
					}
				
				} 
				/////////////////////////////////picturespart////////////////////////////
				
				//////////////////////////////////////////////////////////////
				if(isset($_GET['update'])){
			if($_GET['form']=="main"){
			$slug = str_replace(" ", "-", $_POST['slug']);
			 $db->execute("update parts set
		name='".$db->safe_string($_POST['name'])."',
		nameen='".$db->safe_string($_POST['nameen'])."',
		keywordhead = '".$db->safe_string($_POST['keywordhead'])."',
		keywordheaden = '".$db->safe_string($_POST['keywordheaden'])."',
		description = '".$db->safe_string($_POST['description'])."',
		descriptionen = '".$db->safe_string($_POST['descriptionen'])."',
		slug = '".$db->safe_string($slug)."',
		descriptionhead = '".$db->safe_string($_POST['descriptionhead'])."',
		descriptionheaden = '".$db->safe_string($_POST['descriptionheaden'])."',
		category='".$db->safe_string($_POST['category'])."',
		procat='".$db->safe_string($_POST['procat'])."',
		desen='".addslashes($_POST['desen'])."',
		des='".addslashes($_POST['des'])."',
		pickind='".$db->safe_string($_POST['pickind'])."',
		firstpage='".$db->safe_string($_POST['firstpage'])."'
		where id='".$_GET['AID']."'
		 ");

			echo debug_message('پست مورد نظر با موفقیت ویرایش شد','2','98');
		
		echo '<form action="posts.php?cat='.$_GET['cat'].'" method="POST">
		<p align="center"><input type="submit" id="button" value="بازگشت"></p>
		</form>';
		
		
			}
			
		
		}else{?>
                         <div class="postbox-container" style="width:68%;">
                                <div id="normal-sortables" class="meta-box-sortables ui-sortable"><div id="dashboard_recent_comments" class="postbox ">
                                   <div class="handlediv" title="برای جانشینی کلیک کنید"><br></div><h3 class="hndle"><span>اضافه کردن پست جدید</span></h3>
                                <div style="padding:10px; line-height:24px">

<?php
	

	
			$form_action = 'insert';
		if(isset($_GET['AID'])){
			$sql = $db->query("select * from parts where id = '".(int)$_GET['AID']."'");
			$res = $db->fetchNextArray($sql);
			$form_action = 'update&AID='.$_GET['AID'];
		}
?>
<div class="inside" style="">
<form action="posts.php?cat=<?php echo $_GET['cat'];?>&do=add_kind&<?php echo $form_action; ?>&form=main" method="post" name="form1" id="form1" enctype="multipart/form-data">
<table class="form-table">
<tbody>
<tr class="even" valign="top">
<th scope="row"><div class="ir"></div><label for="name">نام</label></th>
<td><input name="name"  id="name" size="16" value="<?php echo $res['name']; ?>" dir="ltr" class="regular-text" type="text">
<div id='form1_name_errorloc' class="error_strings"></div>
</td>
</tr>
<tr class="odd" valign="top">
<th scope="row"><label for="category">دسته</label></th>
<td>
<select id="category" name="category">
		<?php 
	$estores = $db->query("select * from partscat");

		while($stores = $db->fetchNextArray($estores)){
			if ($_GET['cat']==$stores['id']){$checkresf='selected="selected"';}else{$checkresf='';}	
	?>
    
	<option value="<?php echo $stores['id'];?>" <?php echo $checkresf;?> ><?php echo $stores['name'];?></option>
    <?php } ?>
    
    </select>
</td>
</tr>
<?php if($_GET['cat']=='11'){?>
<tr class="even" valign="top">
<th scope="row"><label for="procat">دسته محصول</label></th>
<td>
<select id="procat" name="procat">
	

		
  <?php
			  $sqlpf = "SELECT * FROM categories ";	
	$resultpf = mysql_query($sqlpf);
	while($rowpf = mysql_fetch_array($resultpf)){
	?>
    	<option value="<?=(string)$rowpf['id']?>" <?php if($res['status']==$rowpf['id']){?>selected="selected"<?php } ?>><?=$rowpf['name']?></option>
   
     <?php }?>
   
    
    </select>
</td>
</tr>
<?php } ?>
<tr class="odd" valign="top">
<th scope="row"><label for="slug">آدرس</label></th>
<td>
<div id="slugdiv">
<input name="slug"  id="slug" size="16" value="<?php echo $res['slug']; ?>" dir="ltr" class="regular-text" type="text">
</div>
<a class="mybutton" href="javascript:void(0)" onclick="checkurl(<?php echo $_GET['AID'];?>);">چک کردن</a>
<div id='form1_name_errorloc' class="error_strings"></div>
</td>
</tr>
<tr class="odd" valign="top">
<th scope="row"><div class="ir"></div><label for="keywordhead">کلمات کلیدی (keywords)</label></th>
<td><input name="keywordhead"  id="keywordhead" size="16" value="<?php echo $res['keywordhead']; ?>" dir="ltr" class="regular-text" type="text">
<div id='form1_keywordhead_errorloc' class="error_strings"></div>
</td>
</tr>
<tr class="odd" valign="top">
<th scope="row"><div class="ir"></div><label for="descriptionhead">توضیحات مختصر (description)</label></th>
<td><input name="descriptionhead"  id="descriptionhead" size="16" value="<?php echo $res['descriptionhead']; ?>" dir="ltr" class="regular-text" type="text">
<div id='form1_descriptionhead_errorloc' class="error_strings"></div>
</td>
</tr>
<tr class="odd" valign="top">
<th scope="row"><div class="ir"></div><label for="description">توضیحات نمایش</label></th>
<td><textarea name="description" id="description" cols="50" rows="10"><?php echo $res['description']; ?></textarea>
</td>
</tr>

<tr class="odd" valign="top">
<th scope="row"><div class="ir"></div><label for="des">توضیحات</label></th>
<td>
   <textarea cols="80" id="des" name="des" rows="10"><?php echo stripslashes($res['des']);?></textarea>
			<script type="text/javascript">
			//<![CDATA[

				CKEDITOR.replace( 'des',
					{
						fullPage : false,
						extraPlugins : 'docprops'
					});

			//]]>
			</script>                      
</td>
</tr>

      
</tbody></table>


<p class="submit">
<input name="process" class="button-primary" value="ذخیره" type="submit">
</p>
</form>
<script language="JavaScript" type="text/javascript"
    xml:space="preserve">//<![CDATA[
//You should create the validator only after the definition of the HTML form
  var frmvalidator  = new Validator("form1");
    frmvalidator.EnableOnPageErrorDisplay();
    frmvalidator.EnableMsgsTogether();


	frmvalidator.addValidation("name","req","وارد کردن نام  پست ضروری است");
	
	frmvalidator.addValidation("phone_number","req","وارد کردن  شماره تلفن ضروری است");
	frmvalidator.addValidation("phone_number","numeric","باید حتما عدد وارد کنید");
	
//]]></script>
</div>
                                
                                </div>

                              </div>
                            </div>
                        </div>  
                        <div style="width:29%;" class="postbox-container">
<div class="postbox" id="dashboard_recent_drafts">
<div title="برای جانشینی کلیک کنید" class="handlediv"><br></div><h3 class="hndle"><span></span>راهنما</h3>
<div class="inside">
این بخش برای اضافه کردن پست جدید است<br/>
<a href="posts.php?cat=<?php echo $_GET['cat'];?>"><div class="mybutton" style="width:310px;">اضافه کردن پست جدید</div></a>
</div>

</div>

</div>
						
						
						<?php if (isset($_GET['AID'])){?>
						
					<div style="width:29%;" class="postbox-container">
<div class="postbox" id="dashboard_recent_drafts">
<div title="برای جانشینی کلیک کنید" class="handlediv"><br></div><h3 class="hndle"><span></span>تگ ها</h3>
<div class="inside">

<div>
     <input type="text" size="40" name="name" id="tagname" placeholder="تگ..." value="" class="validate[required] text-input inp_text" /> 
     <input type="button" value="افزودن تگ" id="add" onclick="addtag(<?php echo $_GET['AID'];?>);" />      
  	         

        </div>
         <div class="clear"></div>
         برای حذف هرکدام از تگ ها روی آن کلیک کنید
        <div id="tags">
            
        </div>
        <div class="clear"></div>
        

</div>

</div>

</div>
					<div style="width:29%;" class="postbox-container">
<div class="postbox" id="dashboard_recent_drafts">
<div title="برای جانشینی کلیک کنید" class="handlediv"><br></div><h3 class="hndle"><span></span>تگ های محبوب</h3>
<div class="inside">
برای اضافه کردن هرکدام از تگ های محبوب به تگ های این پست روی آن کلیک کنید
		<div>
        <ul class="tags">
			<?php 
				$sql=$db->query("select tag_id, count(tag_id) c from tags_relations
								group by tag_id
								order by c desc
								limit 25");
				while($tag=$db->fetchNextArray($sql)){
					$etagname=$db->query("select * from tags where id = '".$tag['tag_id']."'");
					$tagname=$db->fetchNextArray($etagname);
				?>
                    <li id="tag<?php echo $tag['tag_id'] ?>"><a style="font-size:9px !important;" href="javascript:void(0);" onclick="addim(<?php echo $_GET['AID'];?>,<?php echo $tag['tag_id']; ?>);"><?php echo $tagname['name']?></a></li>
                <?php } ?>
                </ul>
        </div>
         <div class="clear"></div>
        <div id="tags">
            
        </div>
        <div class="clear"></div>
        

</div>

</div>

</div>
						<div style="width:29%;" class="postbox-container">
<div class="postbox" id="dashboard_recent_drafts">
<div title="برای جانشینی کلیک کنید" class="handlediv"><br></div><h3 class="hndle"><span></span>تصاویر</h3>
<div class="inside">
<div>
            <form action="posts.php?cat=<?php echo $_GET['cat'];?>&do=add_kind&insert&form=picture&AID=<?php echo $_GET['AID'];?>" method="post" name="formIDpic" id="formIDpic" enctype="multipart/form-data">
  	 <table  class="table_insert" cellpadding="3" cellspacing="3" width="100%" align="center" >  
      
           <tr>
            <td class="td_d_lable">نام :</td>
            <td class="td_d">
            
            <input type="text" size="40" name="name" id="name" value="" class="validate[required] text-input inp_text" /></td>
        </tr>
        <tr>
            <td class="td_d_lable">تصویر :</td>
            <td class="td_d">
            <input name="myfile" id="myfile"  type="file" size="31"  dir="rtl" accept="image/gif, image/jpeg"  /></td>
        </tr>
     

         <tr>
            <td colspan="2" align="center">
            <?php
              echo '<input type="submit" name="Insert" value="Add picture" />';
			?>
              </td>
        </tr>
        </table>        
   </form>
           <div align="center">
                                               
<table id="rounded-corner"dir="rtl">

  <thead>
			<tr>
				<th scope="col" id="rounded-q5"></th>
				<th scope="col" id="rounded-q5">نام</th>
				<th scope="col" id="rounded-q5">تصویر پروفایل</th>
                <th scope="col" id="rounded-q5">حذف</th>
			</tr>
		</thead>
		<tbody>
<?php
	/*
		Place code to connect to your DB here.
	*/
	// include your code to connect to DB.

	$tbl_name="picturespart";		//your table name
	// How many adjacent pages should be shown on each side?
	$adjacents = 3;
	
	/* 
	   First get total number of rows in data table. 
	   If you have a WHERE clause in your query, make sure you mirror it here.
	*/
	$query = "SELECT COUNT(*) as num FROM $tbl_name WHERE adid =".$_GET['AID']."";	
	$total_pages = mysql_fetch_array(mysql_query($query));
	$total_pages = $total_pages[num];
	
	/* Setup vars for query. */
	$targetpage = "posts.php"; 	//your file name  (the name of this file)
	$limit = 150; 								//how many items to show per page
	$page = $_GET['page'];
	if($page) 
		$start = ($page - 1) * $limit; 			//first item to display on this page
	else
		$start = 0;								//if no page var is given, set start to 0
	
	/* Get data. */
	$sql = "SELECT * FROM $tbl_name WHERE adid =".$_GET['AID']." ORDER BY id DESC LIMIT $start, $limit";
	$result = mysql_query($sql);
	
	/* Setup page vars for display. */
	if ($page == 0) $page = 1;					//if no page var is given, default to 1.
	$prev = $page - 1;							//Previous page is page - 1
	$next = $page + 1;							//Next page is page + 1
	$lastpage = ceil($total_pages/$limit);		//lastpage is = total pages / items per page, rounded up.
	$lpm1 = $lastpage - 1;						//last page minus 1
	
	/* 
		Now we apply our rules and draw the pagination object. 
		We're actually saving the code to a variable in case we want to draw it more than once.
	*/
	$pagination = "";
	if($lastpage > 1)
	{	
		$pagination .= "<div class=\"pagination\">";
		//Previous button
		if ($page > 1) 
			$pagination.= "<a href=\"$targetpage?page=$prev\">« Previous</a>";
		else
			$pagination.= "<span class=\"disabled\">« Previous</span>";	
		
		//pages	
		if ($lastpage < 7 + ($adjacents * 2))	//not enough pages to bother breaking it up
		{	
			for ($counter = 1; $counter <= $lastpage; $counter++)
			{
				if ($counter == $page)
					$pagination.= "<span class=\"current\">$counter</span>";
				else
					$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
			}
		}
		elseif($lastpage > 5 + ($adjacents * 2))	//enough pages to hide some
		{
			//close to beginning; only hide later pages
			if($page < 1 + ($adjacents * 2))		
			{
				for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
				$pagination.= "...";
				$pagination.= "<a href=\"$targetpage?page=$lpm1\">$lpm1</a>";
				$pagination.= "<a href=\"$targetpage?page=$lastpage\">$lastpage</a>";		
			}
			//in middle; hide some front and some back
			elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))
			{
				$pagination.= "<a href=\"$targetpage?page=1\">1</a>";
				$pagination.= "<a href=\"$targetpage?page=2\">2</a>";
				$pagination.= "...";
				for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
				$pagination.= "...";
				$pagination.= "<a href=\"$targetpage?page=$lpm1\">$lpm1</a>";
				$pagination.= "<a href=\"$targetpage?page=$lastpage\">$lastpage</a>";		
			}
			//close to end; only hide early pages
			else
			{
				$pagination.= "<a href=\"$targetpage?page=1\">1</a>";
				$pagination.= "<a href=\"$targetpage?page=2\">2</a>";
				$pagination.= "...";
				for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
			}
		}
		
		//Next button
		if ($page < $counter - 1) 
			$pagination.= "<a href=\"$targetpage?page=$next\">Next »</a>";
		else
			$pagination.= "<span class=\"disabled\">Next »</span>";
		$pagination.= "</div>\n";		
	}
?>

	<?php
	$i=1;
		while($row = mysql_fetch_array($result))
		{
				if($data['visited'] == 0){
			$sytle = 'style="color:#390"';
		}else{
			$style = '';
		}
		if(($i % 2) == 0) {
			$class = 'tableRow2';
		}else{
			$class = 'tableRow1';
		}
			echo '<tr class="'.$class.'" onmouseover="this.className=\'tableRowOver\'" onmouseout="this.className=\''.$class.'\'">';
			
			
?>
					
<form action="convert">
        <td width="40"> <img width="80" height="60" src="include/image.php/name.jpg?parameters=@width=140@height=120@cropratio=1:1@quality=100@image=<?php echo $globalConfig['baseurl'].'/'.$row['file']; ?>" /></td> 
        <td><?php echo $row['name'];?></td>
        <td width="100"> 
        <?php if($row['profile']=='0'){?>
        <a href="posts.php?cat=<?php echo $_GET['cat'];?>&do=add_kind&insert&form=picture&AID=<?php echo $_GET['AID'];?>&act=profile&picid=<?php echo $row['id'];?>"><div class="plus" style="margin-left:38px;"></div></a>
        <?php }else { ?>
        <a href="posts.php?cat=<?php echo $_GET['cat'];?>&do=add_kind&insert&form=picture&AID=<?php echo $_GET['AID'];?>&act=profile&picid=<?php echo $row['id'];?>"><div class="mult" style="margin-left:38px;"></div></a>
        <?php } ?>
        </td> 
        <td width="40"> <a href="posts.php?cat=<?php echo $_GET['cat'];?>&do=add_kind&insert&form=picture&AID=<?php echo $_GET['AID'];?>&act=del&picid=<?php echo $row['id'];?>"><div class="mult" style="margin-left:05px;"></div></a></td>
			<?php $i++;}
	?>
<?php echo $row['id'];?>
</form>
    		
		</tbody>
  </table>
  <div style="direction:ltr">
<?=$pagination?>
                             </div>                 
                                                </div>

        </div>
</div>

</div>

</div>
						<?php } else{?>
                        <div style="width:29%;" class="postbox-container">
<div class="postbox" id="dashboard_recent_drafts">
<div title="برای جانشینی کلیک کنید" class="handlediv"><br></div><h3 class="hndle"><span></span>راهنمای فیلدهای جدید</h3>
<div class="inside">
فیلدهای keyword و description  به تازگی به فیلدهای افزودن مطلب اضافه شده است. این کار جهت بهتر معرفی شدن سایت به موتورهای جست و جو انجام گرفته . نکات زیر را حتما در نظر داشته باشید <br/>
keyword ها کلمات کلیدی هستند که برای مشخص شدن دامنه فعالیت های سایت و موضوعات اون به کار می برن ، فرض بفرمایید  در مورد پست گالری استیو جابز تا محمد بنا از کلمات کلیدی به این صورت استفاده شده: استیو جابز,محمد بنا,کاریکاتور محمد بنا,کاریکاتور استیو جابز و . . . . حتما دقت داشته باشید که کلمات باید بدون فاصله بین خود کلمه و کاما وارد شوند و کاما باید حتما انگلیسی باشد. تا 15 کی ورد هم میتوانید وارد کنید ولی بیشتر نشود <br/>
description یک توضیحاتی کوتاهی پیرامون سایت هست ، باز با توجه به مثال بالا از این توضیحات استفاده شده است. علی آهنگر هنرمند جوان اهل کاشان از استعدادهای درخشان این روزهای کاریکاتور ایران است. این توضیحات نیز میتوانند تا 160 کاراکتر باشند
</div>

</div>

</div>
                        <?php } ?>
<?php
		}?>
        <div class="postbox-container" style="width:98%;">
                                <div id="normal-sortables" class="meta-box-sortables ui-sortable"><div id="dashboard_recent_comments" class="postbox ">
                                   <div class="handlediv" title="برای جانشینی کلیک کنید"><br></div><h3 class="hndle"><span> لیست  پست ها</span></h3>
                             <div align="center" style="padding:5px;">
                                               
<table id="rounded-corner"dir="rtl">

  <thead>
			<tr>
            	<th scope="col" id="rounded-q5"></th>
                <th scope="col" id="rounded-q5">پست</th>
                <th scope="col" id="rounded-q5">لینک</th>
                <th scope="col" id="rounded-q5">بخش</th>
                <th scope="col" id="rounded-q5">بازدید</th>
				<th scope="col" id="rounded-q5">زمان افزودن</th>
                <th scope="col" id="rounded-q5">ویرایش</th>
                <th scope="col" id="rounded-q5"> حذف</th>
			</tr>
		</thead>
		<tbody>
<?php
	/*
		Place code to connect to your DB here.
	*/
	// include your code to connect to DB.

	$tbl_name="parts";		//your table name
	// How many adjacent pages should be shown on each side?
	$adjacents = 3;
	
	/* 
	   First get total number of rows in data table. 
	   If you have a WHERE clause in your query, make sure you mirror it here.
	*/

	$query = "SELECT COUNT(*) as num FROM $tbl_name where category=".$_GET['cat']."";
	$total_pages = mysql_fetch_array(mysql_query($query));
	$total_pages = $total_pages[num];
	
	/* Setup vars for query. */
	$targetpage = "posts.php?cat=".$_GET['cat'].""; 	//your file name  (the name of this file)
	$limit = 15; 								//how many items to show per page
	$page = $_GET['page'];
	if($page) 
		$start = ($page - 1) * $limit; 			//first item to display on this page
	else
		$start = 0;								//if no page var is given, set start to 0
	
	/* Get data. */
	
	$sql = "SELECT * FROM $tbl_name  where category=".$_GET['cat']." ORDER BY id DESC LIMIT $start, $limit";	
	$result = mysql_query($sql);
	
	/* Setup page vars for display. */
	if ($page == 0) $page = 1;					//if no page var is given, default to 1.
	$prev = $page - 1;							//قبلی page is page - 1
	$next = $page + 1;							//بعدی page is page + 1
	$lastpage = ceil($total_pages/$limit);		//lastpage is = total pages / items per page, rounded up.
	$lpm1 = $lastpage - 1;						//last page minus 1
	
	/* 
		Now we apply our rules and draw the pagination object. 
		We're actually saving the code to a variable in case we want to draw it more than once.
	*/
	$pagination = "";
	if($lastpage > 1)
	{	
		$pagination .= "<div class=\"pagination\">";
		//قبلی button
		if ($page > 1) 
			$pagination.= "<a href=\"$targetpage&page=$prev\">« قبلی</a>";
		else
			$pagination.= "<span class=\"disabled\">« قبلی</span>";	
		
		//pages	
		if ($lastpage < 7 + ($adjacents * 2))	//not enough pages to bother breaking it up
		{	
			for ($counter = 1; $counter <= $lastpage; $counter++)
			{
				if ($counter == $page)
					$pagination.= "<span class=\"current\">$counter</span>";
				else
					$pagination.= "<a href=\"$targetpage&page=$counter\">$counter</a>";					
			}
		}
		elseif($lastpage > 5 + ($adjacents * 2))	//enough pages to hide some
		{
			//close to beginning; only hide later pages
			if($page < 1 + ($adjacents * 2))		
			{
				for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage&page=$counter\">$counter</a>";					
				}
				$pagination.= "...";
				$pagination.= "<a href=\"$targetpage&page=$lpm1\">$lpm1</a>";
				$pagination.= "<a href=\"$targetpage&page=$lastpage\">$lastpage</a>";		
			}
			//in middle; hide some front and some back
			elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))
			{
				$pagination.= "<a href=\"$targetpage&page=1\">1</a>";
				$pagination.= "<a href=\"$targetpage&page=2\">2</a>";
				$pagination.= "...";
				for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage&page=$counter\">$counter</a>";					
				}
				$pagination.= "...";
				$pagination.= "<a href=\"$targetpage&page=$lpm1\">$lpm1</a>";
				$pagination.= "<a href=\"$targetpage&page=$lastpage\">$lastpage</a>";		
			}
			//close to end; only hide early pages
			else
			{
				$pagination.= "<a href=\"$targetpage&page=1\">1</a>";
				$pagination.= "<a href=\"$targetpage&page=2\">2</a>";
				$pagination.= "...";
				for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage&page=$counter\">$counter</a>";					
				}
			}
		}
		
		//بعدی button
		if ($page < $counter - 1) 
			$pagination.= "<a href=\"$targetpage&page=$next\">بعدی »</a>";
		else
			$pagination.= "<span class=\"disabled\">بعدی »</span>";
		$pagination.= "</div>\n";		
	}
?>

	<?php
		while($row = mysql_fetch_array($result))
		{
				if($data['visited'] == 0){
			$sytle = 'style="color:#390"';
		}else{
			$style = '';
		}
		if(($i % 2) == 0) {
			$class = 'tableRow2';
		}else{
			$class = 'tableRow1';
		}
			echo '<tr class="'.$class.'" onmouseover="this.className=\'tableRowOver\'" onmouseout="this.className=\''.$class.'\'">';
			
?>
					
<form action="convert"> 
		<td ><?php echo $row['id'];?></td>
        <td ><?php echo $row['name'];?></td>
         <td ><a href="<?php echo $globalConfig['baseurl'].'/'.seourl('post',$row['id']);?>" target="_blank">لینک</a></td> 
        <td ><?php $sql1 = $db->query("select * from partscat where id = '".(int)$row['category']."'");
			$res1 = $db->fetchNextArray($sql1);
			echo $res1['name'];
			?></td> 
        <td ><?php echo $row['visits'];?></td> 
        <td ><?php echo tep_hejri11($row['date']);?></td>  
        <td ><a href="posts.php?cat=<?php echo $_GET['cat'];?>&AID=<?php echo $row['id'];?>"><img src="images/pdo.png"></a></td> 
        <td ><a href="posts.php?cat=<?php echo $_GET['cat'];?>&del=true&AID=<?php echo $row['id'];?>"><img src="images/cros.gif"></a></td>
			<?php }
	?>
</form>
    		
		</tbody>
  </table>
  <div style="direction:ltr">
<?=$pagination?>
                             </div>                 
                                                </div>

                              </div>
                            </div>
                        </div>

					<?php }else{ ?>
					<div class="postbox-container" style="width:98%;">
                                <div id="normal-sortables" class="meta-box-sortables ui-sortable"><div id="dashboard_recent_comments" class="postbox ">
                                   <div class="handlediv" title="برای جانشینی کلیک کنید"><br></div><h3 class="hndle"><span>لیست دسته ها</span></h3>
                             <div align="center" style="padding:5px;">
                                               
<table id="rounded-corner"dir="rtl">

  <thead>
			<tr>
            	<th scope="col" id="rounded-q5"></th>
                <th scope="col" id="rounded-q5">نام دسته</th>
                <th scope="col" id="rounded-q5"> اضافه کردن پست</th>
			</tr>
		</thead>
		<tbody>
<?php
	/*
		Place code to connect to your DB here.
	*/
	// include your code to connect to DB.

	$tbl_name="partscat";		//your table name
	// How many adjacent pages should be shown on each side?
	$adjacents = 3;
	
	/* 
	   First get total number of rows in data table. 
	   If you have a WHERE clause in your query, make sure you mirror it here.
	*/

	$query = "SELECT COUNT(*) as num FROM $tbl_name";
	$total_pages = mysql_fetch_array(mysql_query($query));
	$total_pages = $total_pages[num];
	
	/* Setup vars for query. */
	$targetpage = "posts.php"; 	//your file name  (the name of this file)
	$limit = 10; 								//how many items to show per page
	$page = $_GET['page'];
	if($page) 
		$start = ($page - 1) * $limit; 			//first item to display on this page
	else
		$start = 0;								//if no page var is given, set start to 0
	
	/* Get data. */
	
	$sql = "SELECT * FROM $tbl_name ORDER BY id DESC LIMIT $start, $limit";	
	$result = mysql_query($sql);
	
	/* Setup page vars for display. */
	if ($page == 0) $page = 1;					//if no page var is given, default to 1.
	$prev = $page - 1;							//قبلی page is page - 1
	$next = $page + 1;							//بعدی page is page + 1
	$lastpage = ceil($total_pages/$limit);		//lastpage is = total pages / items per page, rounded up.
	$lpm1 = $lastpage - 1;						//last page minus 1
	
	/* 
		Now we apply our rules and draw the pagination object. 
		We're actually saving the code to a variable in case we want to draw it more than once.
	*/
	$pagination = "";
	if($lastpage > 1)
	{	
		$pagination .= "<div class=\"pagination\">";
		//قبلی button
		if ($page > 1) 
			$pagination.= "<a href=\"$targetpage?page=$prev\">« قبلی</a>";
		else
			$pagination.= "<span class=\"disabled\">« قبلی</span>";	
		
		//pages	
		if ($lastpage < 7 + ($adjacents * 2))	//not enough pages to bother breaking it up
		{	
			for ($counter = 1; $counter <= $lastpage; $counter++)
			{
				if ($counter == $page)
					$pagination.= "<span class=\"current\">$counter</span>";
				else
					$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
			}
		}
		elseif($lastpage > 5 + ($adjacents * 2))	//enough pages to hide some
		{
			//close to beginning; only hide later pages
			if($page < 1 + ($adjacents * 2))		
			{
				for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
				$pagination.= "...";
				$pagination.= "<a href=\"$targetpage?page=$lpm1\">$lpm1</a>";
				$pagination.= "<a href=\"$targetpage?page=$lastpage\">$lastpage</a>";		
			}
			//in middle; hide some front and some back
			elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))
			{
				$pagination.= "<a href=\"$targetpage?page=1\">1</a>";
				$pagination.= "<a href=\"$targetpage?page=2\">2</a>";
				$pagination.= "...";
				for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
				$pagination.= "...";
				$pagination.= "<a href=\"$targetpage?page=$lpm1\">$lpm1</a>";
				$pagination.= "<a href=\"$targetpage?page=$lastpage\">$lastpage</a>";		
			}
			//close to end; only hide early pages
			else
			{
				$pagination.= "<a href=\"$targetpage?page=1\">1</a>";
				$pagination.= "<a href=\"$targetpage?page=2\">2</a>";
				$pagination.= "...";
				for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
			}
		}
		
		//بعدی button
		if ($page < $counter - 1) 
			$pagination.= "<a href=\"$targetpage?page=$next\">بعدی »</a>";
		else
			$pagination.= "<span class=\"disabled\">بعدی »</span>";
		$pagination.= "</div>\n";		
	}
?>

	<?php
		while($row = mysql_fetch_array($result))
		{
				if($data['visited'] == 0){
			$sytle = 'style="color:#390"';
		}else{
			$style = '';
		}
		if(($i % 2) == 0) {
			$class = 'tableRow2';
		}else{
			$class = 'tableRow1';
		}
			echo '<tr class="'.$class.'" onmouseover="this.className=\'tableRowOver\'" onmouseout="this.className=\''.$class.'\'">';
			
?>
					
<form action="convert"> 
		<td ><?php echo $row['id'];?></td>
        <td ><?php echo $row['name'];?></td>
        <td ><a href="posts.php?cat=<?php echo $row['id'];?>"><img src="images/add.png"></a></td>
			<?php }
	?>
</form>
    		
		</tbody>
  </table>
  <div style="direction:ltr">
<?=$pagination?>
                             </div>                 
                                                </div>

                              </div>
                            </div>
                        </div>
                    <?php } ?>
                    </div>
                    <div class="clear"></div>
                </div><!-- dashboard-widgets-wrap -->
            </div><!-- wrap -->
			<div class="clear"></div></div><!-- wpbody-content -->
			<div class="clear"></div></div><!-- wpbody -->
			<div class="clear"></div></div><!-- wpcontent -->
        </div>
    </div><!-- wpcontent -->
</div><!-- wpwrap -->
<?php include("include/footer.php");?>
</div>
</div>
</body>
</html><?php }?>